classification
Title: Implement pathlib.Path.link (Using os.link)
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cool-RR, miss-islington, pitrou, vstinner, xtreak
Priority: normal Keywords: patch

Created on 2016-05-08 16:22 by cool-RR, last changed 2019-12-16 12:42 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12990 merged nanjekyejoannah, 2019-04-28 01:49
PR 17170 merged tohojo, 2019-11-15 12:10
PR 17225 merged tohojo, 2019-11-18 12:32
PR 17626 merged miss-islington, 2019-12-16 12:24
Messages (4)
msg341018 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-04-28 03:00
This looks same as https://bugs.python.org/issue28608
msg341386 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2019-05-04 15:27
New changeset 6b5b013bcc22a27d6231c2796882e44ddb42be67 by Antoine Pitrou (Joannah Nanjekye) in branch 'master':
bpo-26978: Implement pathlib.Path.link_to (Using os.link) (GH-12990)
https://github.com/python/cpython/commit/6b5b013bcc22a27d6231c2796882e44ddb42be67
msg358476 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-12-16 12:23
New changeset 092435e932dee1802784ec28f39454f50fdd879a by Victor Stinner (Toke Høiland-Jørgensen) in branch 'master':
bpo-38811: Check for presence of os.link method in pathlib (GH-17225)
https://github.com/python/cpython/commit/092435e932dee1802784ec28f39454f50fdd879a
msg358481 - (view) Author: miss-islington (miss-islington) Date: 2019-12-16 12:42
New changeset 8d0f36940e728989822c3789025b0813a8fe249a by Miss Islington (bot) in branch '3.8':
bpo-38811: Check for presence of os.link method in pathlib (GH-17225)
https://github.com/python/cpython/commit/8d0f36940e728989822c3789025b0813a8fe249a
History
Date User Action Args
2019-12-16 12:42:24miss-islingtonsetnosy: + miss-islington
messages: + msg358481
2019-12-16 12:24:41miss-islingtonsetpull_requests: + pull_request17095
2019-12-16 12:24:00vstinnersetnosy: + vstinner
messages: + msg358476
2019-11-18 12:32:06tohojosetpull_requests: + pull_request16727
2019-11-15 12:10:13tohojosetpull_requests: + pull_request16679
2019-05-04 15:27:24pitrousetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-04 15:27:13pitrousetmessages: + msg341386
2019-04-29 18:03:12xtreaklinkissue28608 superseder
2019-04-28 03:00:59xtreaksetnosy: + xtreak

messages: + msg341018
versions: + Python 3.8, - Python 3.6
2019-04-28 01:49:39nanjekyejoannahsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12913
2016-05-08 16:41:20brett.cannonsetnosy: + pitrou
type: enhancement
2016-05-08 16:22:03cool-RRcreate